Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck
Class AbstractScriptConfigBuilderTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.mule.tck.AbstractMuleTestCase
                  org.mule.tck.FunctionalTestCase
                      org.mule.tck.AbstractScriptConfigBuilderTestCase

All Implemented Interfaces:
  junit.framework.Test, org.mule.tck.TestCaseWatchdogTimeoutHandler

Direct Known Subclasses:
  AbstractConfigBuilderTestCase

    public abstract class AbstractScriptConfigBuilderTestCase

extends FunctionalTestCase

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.tck.AbstractMuleTestCase
`org.mule.tck.AbstractMuleTestCase.TestInfo`

Field Summary

Fields inherited from class org.mule.tck.AbstractMuleTestCase
`callbackCalled, CLASSNAME_ANNOTATIONS_CONFIG_BUILDER, DEFAULT_MULE_TEST_TIMEOUT_SECS, IGNORED_DOT_MULE_DIRS, LOCK_TIMEOUT, logger, muleContext, numPorts, ports, PROPERTY_MULE_TEST_TIMEOUT, RECEIVE_TIMEOUT, TEST_MESSAGE, testTimeoutSecs`

Constructor Summary
`protected` | `AbstractScriptConfigBuilderTestCase()`
`protected` | `AbstractScriptConfigBuilderTestCase(boolean legacy)`

Method Summary
`void` | `testBindingConfig()`
`void` | `testConnectorConfig()`
`void` | `testDescriptorEndpoints()`
`void` | `testEndpointConfig()`
`void` | `testEndpointPropertiesConfig()`
`void` | `testExceptionStrategy()`
`void` | `testGlobalEndpointConfig()`
`void` | `testInboundRouterConfig()`
`void` | `testManagerConfig()`
`void` | `testModelConfig()`
`void` | `testOutboundRouterConfig()`
`void` | `testResponseRouterConfig()`
`void` | `testTransformerConfig()`

Methods inherited from class org.mule.tck.FunctionalTestCase
`getBuilder, getComponent, getComponent, getConfigResources, getFunctionalTestComponent, loadResource, loadResourceAsString`

Methods inherited from class org.mule.tck.AbstractMuleTestCase
`addBuilders, checkPorts, configureMuleContext, createMuleContext, createObject, createObject, createTestInfo, createWatchdog, disposeManager, doSetUp, doTearDown, findFreePorts, getConfigurationResources, getPorts, getSensingNullMessageProcessor, getStartUpProperties, getTestConnector, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEventContext, getTestEventContext, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEvent, getTestInboundEvent, getTestInboundEvent, getTestInfo, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestService, getTestService, getTestService, getTestSession, getTestTimeoutSecs, getTestTransactedInboundEndpoint, getTestTransformer, getTriggerableMessageSource, getTriggerableMessageSource, giveTheTestSomeTimeToCleanUpAndThenKillIt, handleTimeout, initialiseObject, initTestTimeoutSecs, isDisabledInThisEnvironment, isDisabledInThisEnvironment, isDisposeManagerPerSuite, isExcluded, isGracefulShutdown, isOffline, isPortFree, isStartContext, registerTestMethod, run, runBare, setDisposeManagerPerSuite, setFailOnTimeout, setName, setStartContext, setUp, suitePostTearDown, suitePreSetUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, runTest, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractScriptConfigBuilderTestCase

    protected AbstractScriptConfigBuilderTestCase()

### AbstractScriptConfigBuilderTestCase

    protected AbstractScriptConfigBuilderTestCase(boolean legacy)

Method Detail

### testManagerConfig

    public void testManagerConfig()
                           throws Exception

  Throws:
    `Exception`

### testConnectorConfig

    public void testConnectorConfig()
                             throws Exception

  Throws:
    `Exception`

### testGlobalEndpointConfig

    public void testGlobalEndpointConfig()
                                  throws MuleException

  Throws:
    `MuleException`

### testEndpointConfig

    public void testEndpointConfig()
                            throws MuleException

  Throws:
    `MuleException`

### testExceptionStrategy

    public void testExceptionStrategy()

### testTransformerConfig

    public void testTransformerConfig()

### testModelConfig

    public void testModelConfig()
                         throws Exception

  Throws:
    `Exception`

### testEndpointPropertiesConfig

    public void testEndpointPropertiesConfig()
                                      throws Exception

  Throws:
    `Exception`

### testOutboundRouterConfig

    public void testOutboundRouterConfig()

### testBindingConfig

    public void testBindingConfig()

### testDescriptorEndpoints

    public void testDescriptorEndpoints()

### testInboundRouterConfig

    public void testInboundRouterConfig()

### testResponseRouterConfig

    public void testResponseRouterConfig()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.